Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155891 - kernel dm-mpath: Decode any SCSI sense data if no hw_handler
Summary: kernel dm-mpath: Decode any SCSI sense data if no hw_handler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 14:12 UTC by Lars Marowsky-Bree
Modified: 2011-02-09 21:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-09 21:54:29 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2005-04-26 10:54 UTC, Lars Marowsky-Bree
no flags Details | Diff

Description Lars Marowsky-Bree 2005-04-25 14:12:13 UTC
If no hw-handler is loaded, the dm_scsi_error_handler is never called. Wouldn't
it be sane to always call as the default error decoder it if no explicit
hw-handler is in place? It would only change the default behaviour in case SCSI
sense data was available, so it'd be pretty safe.

Given that probably >90% of all multipath deployments are going to be based on
SCSI, I think that would make a lot of sense.

Comment 1 Lars Marowsky-Bree 2005-04-26 10:54:29 UTC
Created attachment 113662 [details]
Proposed patch

How about this one.

Comment 2 Alasdair Kergon 2005-05-04 13:58:59 UTC
Seems a reasonable thing to do.

Comment 3 Alasdair Kergon 2005-05-04 14:01:19 UTC
If it ever causes problems in the future, we can simply move it into a SCSI
hw_handler and expect userspace to choose it if there isn't a more-specific one
to use.

Comment 4 Alasdair Kergon 2005-05-04 14:07:11 UTC
Adding to next -udm.

Comment 6 Alasdair Kergon 2011-02-09 21:54:29 UTC
Old bz, superceded by hardware handler restructuring


Note You need to log in before you can comment on or make changes to this bug.